---
---

@import "variables";

nav.navbar {
  background-color: transparent;
}

nav.navbar.scrolled {
  background-color: $navbar-background-color;
}

@media only screen and (max-width : 30rem) {
  body {
    padding-top: $navbar-height;
  }

  nav.navbar {
    background-color: $navbar-background-color;
  }

  .home .jumbotron {
    &.small {
      display: block;
    }

    &.particles {
      display: none;
    }
  }
}

@media only screen and (min-width: 30rem) and (max-width: 60rem) {
  body {
    padding-top: 0;
  }

  nav.navbar {
    background-color: transparent;
  }

  .home {
    .jumbotron {
      &.small {
        display: none;
      }

      &.particles {
        display: block;

        div.image-container {
          top: 37%;
          left: 50%;
          height: 15rem;
          width: 15rem;
          margin-top: -7.5rem;
          margin-left: -7.5rem;
        }

        div.title-text-container {
          top: 55%;
          left: 50%;
          height: 6rem;
          width: 30rem;
          margin-top: -3rem;
          margin-left: -15rem;
        }

        div.button-container {
          top: 70%;
          left: 50%;
          height: 3rem;
          width: 12rem;
          margin-top: -1.5rem;
          margin-left: -6rem;
        }
      }
    }
  }
}

@media only screen and (min-width: 60rem) {
  body {
    padding-top: 0;
  }

  nav.navbar {
    background-color: transparent;
  }

  .home {
    .jumbotron {
      &.small {
        display: none;
      }

      &.particles {
        display: block;

        div {
          position: absolute;
          top: 50%;
          left: 50%;
          background-color: transparent;
          text-align: center;
        }

        div.image-container {
          top: 40%;
          left: 50%;
          height: 15rem;
          width: 15rem;
          margin-top: -7.5rem;
          margin-left: -7.5rem;
        }

        div.title-text-container {
          top: 55%;
          left: 50%;
          height: 4rem;
          width: 60rem;
          margin-top: -2rem;
          margin-left: -30rem;
        }

        div.button-container {
          top: 65%;
          left: 50%;
          height: 3rem;
          width: 12rem;
          margin-top: -1.5rem;
          margin-left: -6rem;
        }
      }
    }

    .what-is {
      margin-top: 8rem;
    }
  }
}

.home {
  .jumbotron {
    background-color: $jumbotron-background-color;
    color: $jumbotron-font-color;
    margin-bottom: 0;
    border-radius: 0;

    div.image-container img {
      max-width: 11rem;
    }

    &.small {
      text-align: center;

      div.button-container {
        margin-top: 2rem;
        margin-bottom: 2rem;
      }
    }

    &.particles {
      padding: 0;
      height: 50rem;
      position: relative;
      user-select: none;

      div {
        position: absolute;
        top: 50%;
        left: 50%;
        background-color: transparent;
        display: block;
        text-align: center;
      }
    }
  }

  .alert-special {
    background-color: #ffffa0;
    a {
      color: black;
      font-weight: 600;
    }

    a:hover {
      font-weight: 800;
    }
  }

  .dh-info {
    text-align: center;
    line-height: 2.5rem;
  }

  .dh-info, .dh-more-info {
    margin-top: 3rem;
    margin-bottom: 3rem;
  }

  .dh-info-section {
    margin-bottom: 3rem;
  }

  .dh-info-img-container {
    text-align: center;
  }

  h2 {
    margin-bottom: 1.2rem;
  }

  .container.getting-started {
    margin-top: 10rem;
    margin-bottom: 10rem;
  }

  .btn {
    min-width: 12rem;
    line-height: 1.25;
    font-size: 1.25rem;
    padding: .9rem .7rem .7rem .7rem;

    &:hover{
      color: $button-color-default;
      background-color: white;
      border-color: $button-color-default;
    }
    background-color: $button-color-default;
    border-color: $button-color-default;
    color: white;
    border-radius: 0.1rem;
  }

  .btn.btn-primary {
    &:hover{
      color: $button-color-default;
      background-color: white;
      border-color: $button-color-default;
    }
    background-color: $button-color-primary;
    border-color: $button-color-primary;
    color: white;
  }

}
.w-33 {
    width: 33% !important;
}

.card {
   border: none;
}
